MetaMember (Groovy 5.0.7)
Description: declaration: package: groovy.lang, interface: MetaMember

Package groovy.lang

# Interface MetaMember

All Known Subinterfaces:
  `ClosureInvokingMethod`

All Known Implementing Classes:
  `ArrayGetAtMetaMethod`, `ArrayMetaMethod`, `ArrayPutAtMetaMethod`, `BooleanArrayGetAtMetaMethod`, `BooleanArrayPutAtMetaMethod`, `ByteArrayGetAtMetaMethod`, `ByteArrayPutAtMetaMethod`, `CachedConstructor`, `CachedField`, `CachedMethod`, `CallSiteAwareMetaMethod`, `CharacterArrayGetAtMetaMethod`, `CharacterArrayPutAtMetaMethod`, `ClosureMetaMethod`, `ClosureStaticMetaMethod`, `DoubleArrayGetAtMetaMethod`, `DoubleArrayPutAtMetaMethod`, `FloatArrayGetAtMetaMethod`, `FloatArrayPutAtMetaMethod`, `GeneratedMetaMethod`, `GeneratedMetaMethod.Proxy`, `GroovyCategorySupport.CategoryMethod`, `IntegerArrayGetAtMetaMethod`, `IntegerArrayPutAtMetaMethod`, `LongArrayGetAtMetaMethod`, `LongArrayPutAtMetaMethod`, `MetaArrayLengthProperty`, `MetaBeanProperty`, `MetaClassImpl.MetaConstructor`, `MetaExpandoProperty`, `MetaMethod`, `MetaProperty`, `MethodMetaProperty`, `MethodMetaProperty.GetBeanMethodMetaProperty`, `MethodMetaProperty.GetMethodMetaProperty`, `MixinInstanceMetaMethod`, `MixinInstanceMetaProperty`, `MultipleSetterProperty`, `NewInstanceMetaMethod`, `NewMetaMethod`, `NewStaticMetaMethod`, `NumberNumberDiv`, `NumberNumberMetaMethod`, `NumberNumberMinus`, `NumberNumberMultiply`, `NumberNumberPlus`, `ObjectArrayGetAtMetaMethod`, `ObjectArrayPutAtMetaMethod`, `ReflectionMetaMethod`, `ShortArrayGetAtMetaMethod`, `ShortArrayPutAtMetaMethod`, `ThreadManagedMetaBeanProperty`, `TransformMetaMethod`

public interface MetaMember
Common values of a class member -- a field, property, method, or constructor.

Since:
  5.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifiers()`
  `String`
  `getName()`
  `default boolean`
  `isFinal()`
  `default boolean`
  `isPackagePrivate()`
  `default boolean`
  `isPrivate()`
  `default boolean`
  `isProtected()`
  `default boolean`
  `isPublic()`
  `default boolean`
  `isStatic()`
  `default boolean`
  `isSynthetic()`

- ## Method Details

  - ### getName

    String getName()

  - ### getModifiers

    int getModifiers()

  - ### isFinal

    default boolean isFinal()

  - ### isPackagePrivate

    default boolean isPackagePrivate()

  - ### isPrivate

    default boolean isPrivate()

  - ### isProtected

    default boolean isProtected()

  - ### isPublic

    default boolean isPublic()

  - ### isStatic

    default boolean isStatic()

  - ### isSynthetic

    default boolean isSynthetic()